org.apache.ignite.internal.processors.rest.protocols.tcp

## Class GridTcpRestParser.ParserState

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.protocols.tcp.GridTcpRestParser.ParserState

Enclosing class:
  GridTcpRestParser

    protected static class GridTcpRestParser.ParserState
    extends Object

Holder for parser state and temporary buffer.

### Constructor Summary

Constructors
`protected` `GridTcpRestParser.ParserState()`

### Method Summary

Methods
`ByteArrayOutputStream` `buffer()`
`GridTcpRestParser.HeaderData` `header()`
`void` `header(GridTcpRestParser.HeaderData hdr)`
`int` `index()`
`void` `index(int idx)`
`GridClientMessage` `packet()`
`void` `packet(GridClientMessage packet)`
`GridClientPacketType` `packetType()`
`void` `packetType(GridClientPacketType packetType)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridTcpRestParser.ParserState

    protected GridTcpRestParser.ParserState()

### Method Detail

#### index

    public int index()

Returns:
  Stored parser index.

#### index

    public void index(int idx)

Parameters:
  `idx` - Index to store.

#### buffer

    public ByteArrayOutputStream buffer()

Returns:
  Temporary data buffer.

#### packet

    @Nullable
    public GridClientMessage packet()

Returns:
  Pending packet.

#### packet

    public void packet(GridClientMessage packet)

Parameters:
  `packet` - Pending packet.

#### packetType

    public GridClientPacketType packetType()

Returns:
  Pending packet type.

#### packetType

    public void packetType(GridClientPacketType packetType)

Parameters:
  `packetType` - Pending packet type.

#### header

    public GridTcpRestParser.HeaderData header()

Returns:
  Header.

#### header

    public void header(GridTcpRestParser.HeaderData hdr)

Parameters:
  `hdr` - Header.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015